      SUBROUTINE DLMDRP(R,LDR,P,Z,LDZ,NZ,ASGN,WORK,SS,LDSS)
      INTEGER LDR,P,INT,LDZ,NZ,LDSS
      INTEGER ASGN(P)
      DOUBLE PRECISION R(LDR,P),Z(LDZ,NZ),SS(LDSS,NZ),WORK(1)
C
C     ON ENTRY
C
C        R       DOUBLE PRECISION(LDR,P), WHERE LDX .GE. P.
C                R CONTAINS THE CHOLESKI DECOMPOSITION OF INV(X'X)
C                (COMPUTED BY THE QR DECOMPOSITION OR SOME OTHER
C                METHOD.
C
C        LDR     INTEGER.
C                LDR IS THE LEADING DIMENSION OF THE ARRAY R.
C
C        P       INTEGER.
C                P IS THE NUMBER OF COLUMNS OF THE MATRIX R.
C
C        Z       DOUBLE PRECISION(LDZ,NZ).
C                COLUMN VECTORS WHICH WILL BE TRANSFORMED ALONG
C                WITH R.
C
C        LDZ     INTEGER.
C                LDZ ID THE LEADING DIMENSION OF THE ARRAY Z.
C
C        NZ      INTEGER.
C                THE NUMBER OF COLUMNS OF THE MATRIX Z.
C
C        ASGN    INTEGER(P).
C                AN ARRAY INDICATING WHICH EFFECTS ARE ASSOCIATED
C                WITH WHICH MODEL TERMS.  THE LEADING VALUE IN ASGN
C                IS ZERO IF THERE IS AN INTERCEPT TERM IN THE MODEL.
C                THE VALUES IN ASGN ARE NON-NEGATIVE
C
C        WORK    DOUBLE PRECISION(2*P).
C                WORK IS A WORK ARRAY.
C
C     ON RETURN
C
C        SS      DOUBLE PRECISION(LDSS,NZ)
C                SS CONTAINS THE SUMS OF SQUARES OBTAINED BY
C                DROPPING EACH OF THE MODEL TERMS.
C
C        LDSS    INTEGER.
C                LDSS IS THE LEADING DIMENSION OF THE ARRAY SS.
C
C     THIS VERSION DATED 10 SEPTEMBER 1995
C     ROSS IHAKA
C
C     DLMDRP USES THE LINPACK SUBROUTINE DCHEX.
C
C     INTERNAL VARIABLES
C
